Exception::getLine
Exception::getTraceAsString
Exception
PHP Manual

# Exception::getTrace

(PHP 5 >= 5.1.0)

Exception::getTrace — Gets the stack trace

### Opis

final public array Exception::getTrace ( void )

Returns the Exception stack trace.

### Parametry

Ta funkcja nie posiada parametrów.

### Zwracane wartości

Returns the Exception stack trace as an array.

### Przykłady

Example #1 Exception::getTrace() example

`<?php
function test() {
throw new Exception;
}
try {
test();
} catch(Exception $e) {
var_dump($e->getTrace());
}
?>`

Powyższy przykład wyświetli coś podobnego do:

    array(1) {
      [0]=>
      array(4) {
        ["file"]=>
        string(22) "/home/bjori/tmp/ex.php"
        ["line"]=>
        int(7)
        ["function"]=>
        string(4) "test"
        ["args"]=>
        array(0) {
        }
      }
    }

Exception::getLine
Exception::getTraceAsString
Exception
PHP Manual